{
  "ash" : {
    "generateResource" : "Y"
  },
  "attributes" : [
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "assignedToID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "assignedToID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "categoryID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "categoryID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "contactID",
      "externalType" : "longlong",
      "name" : "contactID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "convertedToOneFive",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "convertedToOneFive",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "createDate",
      "externalType" : "datetime",
      "name" : "createDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "N"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "createdByID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "createdByID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "emailMessageStatusID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "emailMessageStatusID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "groupID",
      "externalType" : "longlong",
      "name" : "groupID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "isDefaultForContact",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "isDefaultForContact",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "isDefaultForGroup",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "isDefaultForGroup",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "isDefaultForOpportunity",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "isDefaultForOpportunity",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "isDefaultForOrganization",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "isDefaultForOrganization",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isDefaultForCompany"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "isDefaultForProject",
      "defaultValue" : "0",
      "externalType" : "int",
      "internalInfo" : {
        "_nameInObjectStore" : "isDefaultForGoal"
      },
      "name" : "isDefaultForProject",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "isEmail",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "isEmail",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "isSyncNote",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "isSyncNote",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "largeDataID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "largeDataID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "modifyDate",
      "externalType" : "datetime",
      "name" : "modifyDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "N"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "_rowid",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "noteID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "ordering",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "order",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "organizationID",
      "externalType" : "longlong",
      "name" : "organizationID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "N"
      },
      "columnName" : "permissionMask",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "permissionMask",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "sharedDataID",
      "externalType" : "longlong",
      "name" : "sharedDataID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "sourceImportID",
      "externalType" : "char",
      "name" : "sourceImportID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "title",
      "externalType" : "char",
      "name" : "title",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "typeCode",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "typeCode",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "visibilityPresetID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "visibilityPresetID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashType" : ":pipe_set",
        "includeInResource" : "Y"
      },
      "columnName" : "readPermissions",
      "externalType" : "char",
      "isIndexed" : "Y",
      "name" : "readPermissions",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashType" : ":pipe_set",
        "includeInResource" : "Y"
      },
      "columnName" : "writePermissions",
      "externalType" : "char",
      "name" : "writePermissions",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionUserID",
      "externalType" : "int",
      "isIndexed" : "Y",
      "name" : "deletionUserID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionDate",
      "externalType" : "datetime",
      "isIndexed" : "Y",
      "name" : "deletionDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionIdentifier",
      "externalType" : "char",
      "isIndexed" : "Y",
      "name" : "deletionIdentifier",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : 255
    }
  ],
  "className" : "GWNote",
  "classProperties" : [
    "assignedToID",
    "categoryID",
    "contactID",
    "convertedToOneFive",
    "createDate",
    "createdByID",
    "emailMessageStatusID",
    "groupID",
    "isDefaultForContact",
    "isDefaultForGroup",
    "isDefaultForOpportunity",
    "isDefaultForOrganization",
    "isDefaultForProject",
    "isEmail",
    "isSyncNote",
    "largeDataID",
    "modifyDate",
    "noteID",
    "order",
    "organizationID",
    "permissionMask",
    "sharedDataID",
    "sourceImportID",
    "title",
    "typeCode",
    "visibilityPresetID",
    "readPermissions",
    "writePermissions",
    "deletionUserID",
    "deletionDate",
    "deletionIdentifier",
    "assignedTo",
    "category",
    "connectorMaps",
    "contactNotes",
    "contacts",
    "createdBy",
    "emailMessageStatus",
    "groupNotes",
    "groups",
    "largeData",
    "noteOpportunities",
    "noteOrganizations",
    "noteProjects",
    "opportunities",
    "organizations",
    "projects",
    "visibilityPreset",
    "noteTimeblocks",
    "timeblocks",
    "noteTasks",
    "tasks",
    "noteKeywords",
    "keywords",
    "customRecordSetNotes",
    "customRecordSets",
    "noteDumbLists",
    "dumbLists",
    "noteEmails",
    "emails",
    "fileAttachments",
    "noteFileAttachments",
    "urlReferences",
    "noteURLReferences"
  ],
  "domain" : "Notes",
  "externalName" : "Note",
  "fetchSpecificationDictionary" : {

  },
  "fullTextSearchIndices" : [
    {
      "attributeNames" : [
        "title"
      ],
      "name" : "title"
    }
  ],
  "isDatabasePreference" : false,
  "isPresentableInTrash" : true,
  "isTrashable" : true,
  "localizationKey" : "Note",
  "localizationPluralKey" : "Notes",
  "name" : "Note",
  "primaryKeyAttributes" : [
    "noteID"
  ],
  "record" : {
    "allowsRecord" : "Y",
    "generatesAppEntity" : "Y",
    "generatesAppIntents" : "Y",
    "isDirectlyUpdatable" : "Y",
    "phonyAttributes" : [
      {
        "isInternal" : "N",
        "isUpdatable" : "N",
        "recordName" : "body",
        "recordType" : "Note.Body?",
        "sourceKeyPath" : "_noteBody"
      }
    ]
  },
  "relationships" : [
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "User",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "userID",
          "sourceAttribute" : "assignedToID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "assignedTo",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N",
        "recordName" : "owner"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Category",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "categoryID",
          "sourceAttribute" : "categoryID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "category",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "Y",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "ConnectorMap",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "noteID",
          "sourceAttribute" : "noteID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "connectorMaps",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "ContactNoteJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "noteID",
          "sourceAttribute" : "noteID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "contactNotes",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "contactNotes.contact",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "contacts",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "User",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "userID",
          "sourceAttribute" : "createdByID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "createdBy",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N",
        "recordName" : "creator"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "EmailMessageStatus",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "emailMessageStatusID",
          "sourceAttribute" : "emailMessageStatusID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "emailMessageStatus",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "GroupNoteJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "noteID",
          "sourceAttribute" : "noteID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "groupNotes",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "groupNotes.group",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "groups",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "LargeData",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "largeDataID",
          "sourceAttribute" : "largeDataID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "largeData",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "NoteOpportunityJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "noteID",
          "sourceAttribute" : "noteID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "noteOpportunities",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "OrganizationNoteJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "noteID",
          "sourceAttribute" : "noteID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "noteOrganizations",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "NoteProjectJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "noteID",
          "sourceAttribute" : "noteID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "noteProjects",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "noteOpportunities.opportunity",
      "internalInfo" : {
        "_nameInObjectStore" : "opportunitys"
      },
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "opportunities",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N",
        "recordName" : "companies"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "noteOrganizations.organization",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "organizations",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "noteProjects.project",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "projects",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "VisibilityPreset",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "visibilityPresetID",
          "sourceAttribute" : "visibilityPresetID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "visibilityPreset",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "NoteTimeblockJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "noteID",
          "sourceAttribute" : "noteID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "noteTimeblocks",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "noteTimeblocks.timeblock",
      "destination" : "Timeblock",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "timeblocks",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "NoteTaskJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "noteID",
          "sourceAttribute" : "noteID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "noteTasks",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "noteTasks.task",
      "destination" : "Task",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "tasks",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "KeywordNoteJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "noteID",
          "sourceAttribute" : "noteID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "noteKeywords",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "noteKeywords.keyword",
      "destination" : "Keyword",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "keywords",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "Y",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "CustomRecordSetNoteJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "noteID",
          "sourceAttribute" : "noteID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "customRecordSetNotes",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "customRecordSetNotes.customRecordSet",
      "destination" : "CustomRecordSet",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "customRecordSets",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "NoteDumbListJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "noteID",
          "sourceAttribute" : "noteID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "noteDumbLists",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "noteDumbLists.sourceList",
      "destination" : "SourceList",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "dumbLists",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "EmailNoteJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "noteID",
          "sourceAttribute" : "noteID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "noteEmails",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "noteEmails.email",
      "destination" : "Email",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "emails",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "noteFileAttachments.fileAttachment",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "fileAttachments",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "FileAttachmentNoteJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "noteID",
          "sourceAttribute" : "noteID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "noteFileAttachments",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "noteURLReferences.uRLReference",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "urlReferences",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "URLReferenceNoteJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "noteID",
          "sourceAttribute" : "noteID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "noteURLReferences",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    }
  ],
  "supportsPermissions" : true,
  "uniqueIdentifier" : "58",
  "userInfo" : {
    "MCRefreshRelationshipKeys" : [
      "largeData"
    ]
  }
}